Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.fields
Class MyClass

    java.lang.Object
      com.ibm.jzos.sample.fields.MyClass

    public class MyClass

extends java.lang.Object

Field Summary
`protected static BinaryAsIntField` | `BIN_FIELD` 05 BIN-FIELD BINARY PIC S9(4) VALUE -1.
`static int` | `BIN_FIELD_ival`
`static int` | `BIN_FIELD_ZERO` 88 BIN-FIELD-ZERO VALUE ZERO.
`protected byte[]` | `bytes`
`protected static StringField` | `CHAR_FIELD1` 05 CHAR-FIELD1 PIC X(10) VALUE SPACES.
`static java.lang.String` | `CHAR_FIELD1_HIGH` 88 CHAR-FIELD1-HIGH VALUE HIGH-VALUES.
`static java.lang.String` | `CHAR_FIELD1_ival`
`static java.lang.String` | `CHAR_FIELD1_LOW` 88 CHAR-FIELD1-LOW VALUE LOW-VALUES.
`protected static StringField` | `CHAR_FIELD2` 05 CHAR-FIELD2 PIC X(5) VALUE ZEROS.
`static java.lang.String` | `CHAR_FIELD2_IS12345` 88 CHAR-FIELD2-IS12345 VALUE '12345'.
`static java.lang.String` | `CHAR_FIELD2_ival`
`static int` | `CONSTNTS_RECORD_len` 01 CONSTNTS-RECORD.
`protected static ExternalDecimalAsBigDecimalField` | `DECIMAL_FIELD` 05 DECIMAL-FIELD PIC S9(7)V99 VALUE -2.3.
`static java.math.BigDecimal` | `DECIMAL_FIELD_ival`
`static java.math.BigDecimal` | `DECIMAL_FIELD_MINUS1` 88 DECIMAL-FIELD-MINUS1 VALUE -1.0.
`static java.math.BigDecimal` | `DECIMAL_FIELD_ZERO` 88 DECIMAL-FIELD-ZERO VALUE 0.0.
`protected static IbmDoubleField` | `DOUBLE_FIELD` 05 DOUBLE-FIELD COMP-2 VALUE -88.7E-3.
`static double` | `DOUBLE_FIELD_ival`
`protected static CobolDatatypeFactory` | `factory`
`protected static StringField` | `FLAG1` 05 FLAG1 PIC X VALUE 'Y'.
`static java.lang.String` | `FLAG1_ival`
`static java.lang.String` | `FLAG1_OFF` 88 FLAG1-OFF VALUE 'N'.
`static java.lang.String` | `FLAG1_ON` 88 FLAG1-ON VALUE 'Y'.
`protected static IbmFloatField` | `FLOAT_FIELD` 05 FLOAT-FIELD COMP-1 VALUE 12.1E20.
`static float` | `FLOAT_FIELD_ival`
`static int` | `NOT_STARTED` 88 NOT-STARTED VALUE 0.
`protected static PackedDecimalAsIntField` | `START_DATE` 05 START-DATE PACKED-DECIMAL PIC S9(7) VALUE ZERO.
`static int` | `START_DATE_ival`

Constructor Summary
`MyClass(byte[] buffer)`

Method Summary
`int` | `getBinField()`
`java.lang.String` | `getCharField1()`
`java.lang.String` | `getCharField2()`
`java.math.BigDecimal` | `getDecimalField()`
`double` | `getDoubleField()`
`java.lang.String` | `getFlag1()`
`float` | `getFloatField()`
`int` | `getStartDate()`
`boolean` | `isBinFieldZero()`
`boolean` | `isCharField1High()`
`boolean` | `isCharField1Low()`
`boolean` | `isCharField2Is12345()`
`boolean` | `isDecimalFieldMinus1()`
`boolean` | `isDecimalFieldZero()`
`boolean` | `isFlag1Off()`
`boolean` | `isFlag1On()`
`boolean` | `isNotStarted()`
`void` | `setBinField(int binField)`
`void` | `setCharField1(java.lang.String charField1)`
`void` | `setCharField2(java.lang.String charField2)`
`void` | `setDecimalField(java.math.BigDecimal decimalField)`
`void` | `setDoubleField(double doubleField)`
`void` | `setFlag1(java.lang.String flag1)`
`void` | `setFloatField(float floatField)`
`void` | `setInitialValues()`
`void` | `setStartDate(int startDate)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected static CobolDatatypeFactory factory

### CONSTNTS_RECORD_len

    public static final int CONSTNTS_RECORD_len

  01 CONSTNTS-RECORD.

  See Also:
    Constant Field Values

### CHAR_FIELD1

    protected static StringField CHAR_FIELD1

  05 CHAR-FIELD1 PIC X(10) VALUE SPACES.

### CHAR_FIELD1_ival

    public static final java.lang.String CHAR_FIELD1_ival

### CHAR_FIELD1_LOW

    public static final java.lang.String CHAR_FIELD1_LOW

  88 CHAR-FIELD1-LOW VALUE LOW-VALUES.

### CHAR_FIELD1_HIGH

    public static final java.lang.String CHAR_FIELD1_HIGH

  88 CHAR-FIELD1-HIGH VALUE HIGH-VALUES.

### CHAR_FIELD2

    protected static StringField CHAR_FIELD2

  05 CHAR-FIELD2 PIC X(5) VALUE ZEROS.

### CHAR_FIELD2_ival

    public static final java.lang.String CHAR_FIELD2_ival

### CHAR_FIELD2_IS12345

    public static final java.lang.String CHAR_FIELD2_IS12345

  88 CHAR-FIELD2-IS12345 VALUE '12345'.

  See Also:
    Constant Field Values

### FLAG1

    protected static StringField FLAG1

  05 FLAG1 PIC X VALUE 'Y'.

### FLAG1_ival

    public static final java.lang.String FLAG1_ival

See Also:
  Constant Field Values

### FLAG1_ON

    public static final java.lang.String FLAG1_ON

  88 FLAG1-ON VALUE 'Y'.

  See Also:
    Constant Field Values

### FLAG1_OFF

    public static final java.lang.String FLAG1_OFF

  88 FLAG1-OFF VALUE 'N'.

  See Also:
    Constant Field Values

### BIN_FIELD

    protected static BinaryAsIntField BIN_FIELD

  05 BIN-FIELD BINARY PIC S9(4) VALUE -1.

### BIN_FIELD_ival

    public static final int BIN_FIELD_ival

See Also:
  Constant Field Values

### BIN_FIELD_ZERO

    public static final int BIN_FIELD_ZERO

  88 BIN-FIELD-ZERO VALUE ZERO.

  See Also:
    Constant Field Values

### FLOAT_FIELD

    protected static IbmFloatField FLOAT_FIELD

  05 FLOAT-FIELD COMP-1 VALUE 12.1E20.

### FLOAT_FIELD_ival

    public static final float FLOAT_FIELD_ival

See Also:
  Constant Field Values

### DOUBLE_FIELD

    protected static IbmDoubleField DOUBLE_FIELD

  05 DOUBLE-FIELD COMP-2 VALUE -88.7E-3.

### DOUBLE_FIELD_ival

    public static final double DOUBLE_FIELD_ival

See Also:
  Constant Field Values

### DECIMAL_FIELD

    protected static ExternalDecimalAsBigDecimalField DECIMAL_FIELD

  05 DECIMAL-FIELD PIC S9(7)V99 VALUE -2.3.

### DECIMAL_FIELD_ival

    public static final java.math.BigDecimal DECIMAL_FIELD_ival

### DECIMAL_FIELD_ZERO

    public static final java.math.BigDecimal DECIMAL_FIELD_ZERO

  88 DECIMAL-FIELD-ZERO VALUE 0.0.

### DECIMAL_FIELD_MINUS1

    public static final java.math.BigDecimal DECIMAL_FIELD_MINUS1

  88 DECIMAL-FIELD-MINUS1 VALUE -1.0.

### START_DATE

    protected static PackedDecimalAsIntField START_DATE

  05 START-DATE PACKED-DECIMAL PIC S9(7) VALUE ZERO.

### START_DATE_ival

    public static final int START_DATE_ival

See Also:
  Constant Field Values

### NOT_STARTED

    public static final int NOT_STARTED

  88 NOT-STARTED VALUE 0.

  See Also:
    Constant Field Values

### bytes

    protected byte[] bytes

Constructor Detail

### MyClass

    public MyClass(byte[] buffer)

Method Detail

### setInitialValues

    public void setInitialValues()

### getCharField1

    public java.lang.String getCharField1()

### setCharField1

    public void setCharField1(java.lang.String charField1)

### isCharField1Low

    public boolean isCharField1Low()

### isCharField1High

    public boolean isCharField1High()

### getCharField2

    public java.lang.String getCharField2()

### setCharField2

    public void setCharField2(java.lang.String charField2)

### isCharField2Is12345

    public boolean isCharField2Is12345()

### getFlag1

    public java.lang.String getFlag1()

### setFlag1

    public void setFlag1(java.lang.String flag1)

### isFlag1On

    public boolean isFlag1On()

### isFlag1Off

    public boolean isFlag1Off()

### getBinField

    public int getBinField()

### setBinField

    public void setBinField(int binField)

### isBinFieldZero

    public boolean isBinFieldZero()

### getFloatField

    public float getFloatField()

### setFloatField

    public void setFloatField(float floatField)

### getDoubleField

    public double getDoubleField()

### setDoubleField

    public void setDoubleField(double doubleField)

### getDecimalField

    public java.math.BigDecimal getDecimalField()

### setDecimalField

    public void setDecimalField(java.math.BigDecimal decimalField)

### isDecimalFieldZero

    public boolean isDecimalFieldZero()

### isDecimalFieldMinus1

    public boolean isDecimalFieldMinus1()

### getStartDate

    public int getStartDate()

### setStartDate

    public void setStartDate(int startDate)

### isNotStarted

    public boolean isNotStarted()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD